
import random

from gadget.model import Activity, Buddy

def gen_id():
    return '%016x' % random.randint(1, 1 << 64)

def gen_word():
    x = random.sample("aeiou", 5) + random.sample("bcdfghjklmnpqrstvwxyz", 4)
    random.shuffle(x)
    return ''.join(x)

def gen_name():
    first, last = map(str.capitalize, [gen_word(), gen_word()])
    return '%s %s' % (first, last)

def gen_buddy():
    name = gen_name()
    color = random.choice(('red', 'green', 'blue'))
    return Buddy('%s@blah.org' % gen_word(),
        {'color': ('str', color), 'name': ('str', name)})

def gen_activity():
    id = gen_id()
    room = "%s@conf.blah.org" % gen_name()
    type = random.choice(('Paint', 'Chat', 'Memorize'))
    return Activity(id, room, {'type': ('str', type)})

